version: '3'

services:
  monerod:
    image: sethsimmons/simple-monerod:latest
    user: ${FIXUID:-1000}:${FIXGID:-1000}
    restart: unless-stopped
    container_name: monerod
    volumes:
      - /mnt/monero:/home/monero/.bitmonero
    ports:
      - 18080:18080
      - 18089:18089
    command:
      - "--rpc-restricted-bind-ip=0.0.0.0"
      - "--rpc-restricted-bind-port=18089"
      - "--public-node"
      - "--no-igd"
      - "--enable-dns-blocklist"
      - "--prune-blockchain"
    labels:
      - com.centurylinklabs.watchtower.enable=true
